***

title: get
slug: /reference/typescript/rest/fabric/cxml-webhooks/get
description: Retrieve a single cXML webhook resource.
max-toc-depth: 3
---------------------

For a complete index of all SignalWire documentation pages, fetch https://signalwire.com/docs/llms.txt

Retrieve a single cXML webhook resource.

<EndpointSchemaSnippet endpoint="GET /api/fabric/resources/cxml_webhooks/{id}" />

## **Response Example**

<EndpointResponseSnippet endpoint="GET /api/fabric/resources/cxml_webhooks/{id}" />

## **Example**

```typescript {9}
import { RestClient } from "@signalwire/sdk";

const client = new RestClient({
  project: "your-project-id",
  token: "your-api-token",
  host: "your-space.signalwire.com",
});

const webhook = await client.fabric.cxmlWebhooks.get("webhook-id");
console.log("Cxml Webhook:", webhook.display_name, "ID:", webhook.id);
```